@import "../../style/variables";

.template-column {
    display: flex;
    width: 100%;
    flex-direction: row;
    align-items: stretch;
    border: 1px solid $border-color;
    margin-top: 0.5rem;
    background-color: white;
    border-radius: $border-radius;

    .template-column-handle,
    .template-column-delete {
        width: 60px;
        padding: 0.75rem 1rem;
        cursor: pointer;
        user-select: none;

        img {
            display: block;
            width: 100%;
            height: 100%;
        }

        &:hover {
            background-color: $gray;
            transition: $transition-base;
        }
    }

    /* stylelint-disable no-descending-specificity */
    .template-column-handle {
        border-right: 1px solid $border-color;
        margin-right: 0.75rem;
        border-bottom-left-radius: $border-radius;
        border-top-left-radius: $border-radius;
    }

    .template-column-delete {
        border-left: 1px solid $border-color;
        margin-left: auto;
        border-bottom-right-radius: $border-radius;
        border-top-right-radius: $border-radius;

        &:hover {
            background-color: $danger;
        }
    }

    .template-column-name {
        flex-grow: 1;
        padding: 0.75rem;

        input {
            width: 100%;
        }
    }

    .template-column-color {
        width: 45px;
        height: 45px;
        align-self: center;
        background-color: var(--tc-color);
        border-radius: $border-radius;
        cursor: pointer;
    }
}

.template-column-dragging {
    background-color: $gray;
}